var dowload_android = APK_DOWNLOAD_URL;
var req_url = API_URL;


var relogin = false;


var refreshTokenMethod = function () {
    var url = req_url + "/v1/auth/refresh_token";
    var openid = localStorage.getItem("ptt_openid");
    var refreshToken = localStorage.getItem("refresh_token");
    jQuery.ajax({})
}

function replaceSpace(str) {
    return str.replace(/ /g, "");
}

function addSpace(str) {
    //去掉字符串所有空格
    str = replaceSpace(str);
    var newStr = "";
    //每五位加上一个空格
    for (var i = 1; i < str.length + 1; i++) {
        if ((i - 1) % 5 == 0 && i != 1) {
            //第5n+1位加空格
            newStr += " " + str.substring(i - 1, i);
        } else {
            newStr += str.substring(i - 1, i);
        }
    }
    return newStr;

}

function toastSuccessAndBack(msg) {
    console.log(msg);
    mui.toast(msg);
    if (mui.os.wechat) {
        mui.later(function () {
            mui.back();
        }, 750); //750 毫秒
    } else {
        mui.back();
    }
};

function toastSuccess(msg) {
    console.log(msg);
    mui.toast(msg);
}

function toastFail(code, msg) {
    console.log("code=" + code + "| msg=" + msg);
    switch (code) {
        case 20001:
            break;
        case 40101:
            break;
        case 40102:

            mui.alert("会话已超时，请关闭应用重新登录！", function () {
            }, "提示", "确定");

            break;
        case 40104:
            mui.toast("ICCID不存在");
            break;
        case 40106:
            mui.toast("群组数量超过限");
            break;
        case 40004:
            mui.toast("新ICCID已经被使用");
            break;

        case 40103:
            mui.toast("登录账户或密码错误，请重试");
            break;
        case 40109:
            mui.toast("未绑定微信号，登录建立绑定");
            break;
        case 40110:
            mui.toast("微信账户已绑定代理商管理平台");
            break;
        case 40111:
            mui.toast("微信账户已经绑定了单位管理平台");
            break;
        case 40104:
            break;
        case 40105:
            mui.toast("登录账户或密码错误，请重试");
            break;
        case 40301:
        case 40302:
        case 40303:
            mui.toast("访问被拒绝！");
            break;
        case 40401:
        case 40402:
        case 40403:
        case 40404:
        case 40405:
        case 40405:
            mui.toast("未能找到您需要的信息！");
            break;
        case 50001:
            mui.toast("系统繁忙，请稍后再试！");
            break;
        default:

            mui.toast(msg);
            break;
    }
};

function logNetError(xhr, type, errorThrown) {
    if (type == "timeout") {
        mui.toast("连接服务器超时，请检查您的网络设置！");
        return;
    }
    ;
    if (type == "timeout") {
        mui.toast("连接服务器超时，请检查您的网络设置！");
        return;
    }

    if (type == "abort") {
        mui.toast("网络连接失败，请检查您的手机网络！");
        return;
    }
    mui.toast(errorThrown);
    console.log(xhr);
    console.log(type);
    console.log(errorThrown);
}

function add0(m) {
    return m < 10 ? '0' + m : m
}

function format(shijianchuo) {
    //shijianchuo是整数，否则要parseInt转换
    var time = new Date(shijianchuo);
    var y = time.getFullYear();
    var m = time.getMonth() + 1;
    var d = time.getDate();
    var h = time.getHours();
    var mm = time.getMinutes();
    var s = time.getSeconds();
    return y + '-' + add0(m) + '-' + add0(d);
}
//下拉加载 上拉刷新
function refresh(url, type) {
    var openid = localStorage.getItem("ptt_openid");
    var access_token = localStorage.getItem("access_token");
    //请求列表数据
    mui.ajax(req_url + '/v1/profile/org?access_token=' + access_token + '&openid=' + openid, {
        dataType: 'json', //服务器返回json格式数据
        type: 'get', //HTTP请求类型
        timeout: 10000, //超时时间设置为10秒；
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        success: function (data) {
            if (data.code == 20001) {
                var id = data.data.orginfo.id;
                mui.ajax(req_url + '' + url + '?access_token=' + access_token + '&openid=' + openid, {
                    dataType: 'json', //服务器返回json格式数据
                    data: {
                        'org_id': id,
                    },
                    type: 'get', //HTTP请求类型
                    timeout: 10000, //超时时间设置为10秒；
                    headers: {
                        'Content-Type': 'application/x-www-form-urlencoded'
                    },
                    success: function (data) {
                        document.querySelector(".mui-table-view").innerHTML = "";
                        //TODO 将获取的数据列表放入本地存储中。。。。
                        //localStorage.setItem("userListData",JSON.stringify(data));
                        if (type == "user") {
                            localStorage.setItem("userListData", JSON.stringify(data));
                        }
                        if (type == "group") {
                            localStorage.setItem("groupListData", JSON.stringify(data));
                        }
                        for (var n = 0; n < data.data.length; n++) {
                            var li = document.createElement("li");
                            li.className = "mui-table-view-cell";
                            if (type == "group") {
                                console.log(data)
                                li.setAttribute("data-href", "editGroup.html");
                                li.setAttribute('data-id', data.data[n].id);
                                li.innerHTML = '<div class="mui-slider-right mui-disabled"><a class="mui-btn mui-btn-red">删除</a></div>';
                                li.innerHTML += '<div class="mui-slider-handle mui-table"><div class="mui-table-cell"><p><span>' + data.data[n].name + '</span></p><p class="pui-p-down"><i class="icon icon-broad">&#xe605;</i><span>' + data.data[n].members_count + '</span></p><span class="mui-pull-right pui-slider-right">' + format(data.data[n].cg_createtime * 1000) + '</span></div></div>';
                                document.body.querySelector('.mui-table-view').appendChild(li);
                            }
                            if (type == 'user') {
                                console.log(data);
                                li.setAttribute("data-href", "editUser.html");
                                li.setAttribute('data-id', data.data[n].id);
                                li.innerHTML = '<div class="mui-slider-handle mui-table"><div class="mui-table-cell">';
                                li.innerHTML += '<p><span>' + data.data[n].user_name + '</span></p>';
                                li.innerHTML += '<p class="pui-p-down"><i class="icon icon-broad">&#xe605;</i><span>' + data.data[n].group_count + '</span></p>';
                                li.innerHTML += '<span class="mui-pull-right pui-slider-right">' + format(data.data[n].createat * 1000) + '</span>';
                                if (data.data[n].status == 2) {
                                    li.innerHTML += '<i class="icon icon-broad pui-icon-pastDue">&#xe626;</i>';
                                } else if (data.data[n].status == 1) {
                                    li.innerHTML += '<i class="icon icon-broad pui-icon-pastDue">&#xe625;</i>';
                                }

                                if (data.data[n].allow_gps == 1) {
                                    li.innerHTML += '<i class="icon icon-broad pui-icon-gps">&#xe604;</i></div></div>';
                                }
                                document.body.querySelector(".mui-table-view").appendChild(li);
                            }
                        }
                    },
                    error: function (xhr, type, errorThrown) {
                        logNetError(xhr, type, errorThrown);
                    }
                });
            }
        },
        error: function (xhr, type, errorThrown) {
            logNetError(xhr, type, errorThrown);
        }
    });
}

//获取用户
function getUser(url, type) {
    var openid = localStorage.getItem("ptt_openid");
    var access_token = localStorage.getItem("access_token");
    //请求列表数据
    mui.ajax(req_url + '/v1/profile/org?access_token=' + access_token + '&openid=' + openid, {
        dataType: 'json', //服务器返回json格式数据
        type: 'get', //HTTP请求类型
        timeout: 10000, //超时时间设置为10秒；
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        success: function (data) {
            if (data.code == 20001) {
                var id = data.data.orginfo.id;
                mui.ajax(req_url + '' + url + '?access_token=' + access_token + '&openid=' + openid, {
                    dataType: 'json', //服务器返回json格式数据
                    data: {
                        'org_id': id,
                    },
                    type: 'get', //HTTP请求类型
                    timeout: 10000, //超时时间设置为10秒；
                    headers: {
                        'Content-Type': 'application/x-www-form-urlencoded'
                    },
                    success: function (data) {
                        console.log(data)
                    },
                    error: function (xhr, type, errorThrown) {
                        logNetError(xhr, type, errorThrown);
                    }
                });
            }
        },
        error: function (xhr, type, errorThrown) {
            logNetError(xhr, type, errorThrown);
        }
    });
}

function isEmptyStr(data) {

    if (data == null || data == '' || data == undefined || data.trim().length <= 0)
        return true;
    return false;

}

// forEach method, could be shipped as part of an Object Literal/Module
var forEach = function (array, callback, scope) {
    for (var i = 0; i < array.length; i++) {
        callback.call(scope, i, array[i]); // passes back stuff we need
    }
};

function modalInitFun() {

    if (mui(".modalUp") == null || mui(".modalDown") == null) {
        return;
    }

    mui("body").on("tap", ".modalUp", function (event) {

        var target = event.target;
        var modalId = target.hash;

        if (target.tagName != "A") {
            return;
        }
        showModal(modalId);

    });

    mui("body").on("tap", ".modalDown", function (event) {

        var target = event.target;
        var modalId = target.hash;

        if (target.tagName != "A") {
            return;
        }

        closeModal(modalId);
    });

};

function showModal(modalSelector) {

    mui(modalSelector)[0].setAttribute("style", "display: block;position:fixed;overflow:auto");

    mui(modalSelector)[0].setAttribute("class", "pui-modal sliderUp");
    mui(modalSelector + " header")[0].setAttribute("style", "display: block;");
    //mui("html body")[0].setAttribute("style", "overflow: auto;");
}

function closeModal(modalSelector) {

    mui(modalSelector)[0].setAttribute("style", "display: none;");
    mui(modalSelector)[0].setAttribute("class", "pui-modal sliderDown");
    mui(modalSelector + " header")[0].setAttribute("style", "display: none;");
    //mui("html body")[0].setAttribute("style", "overflow: auto;");
}

function GetQueryString(name) {

    var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)");
    var r = window.location.search.substr(1).match(reg);
    if (r != null)return unescape(r[2]);
    return null;


}

modalInitFun();

// 4-20 个中文，数字，字母，下划线，不能以下划线开头
var agentReg = /^(?!_)[a-zA-Z0-9_\u4e00-\u9fa5]{4,20}$/;
// 4-20 个中文，数字，字母，下划线，不能以下划线开头
var orgReg = /^(?!_)[a-zA-Z0-9_\u4e00-\u9fa5]{4,20}$/;
// 2-15 个中文，数字，字母，
var groupReg = /^[a-zA-Z0-9\u4e00-\u9fa5]{2,15}$/;
// 6-20 登录账户 由 英文，数字和_组成，不能以下划线开头
var accountReg = /^(?!_)[a-zA-Z0-9_]{6,20}$/;
// 6~16 密码 英文，数字下划线开头
var pwdReg = /^[a-zA-Z0-9]{6,16}$/;
// 2-10 个中文，数字，字母，下划线，不能以下划线开头
var nameReg = /^(?!_)[a-zA-Z0-9_\u4e00-\u9fa5]{2,10}$/;
//手机号码
var phoneReg = /^1[34578]\d{9}$/;
//email
var emailReg = /^([a-zA-Z0-9_-])+@([a-zA-Z0-9_-])+((\.[a-zA-Z0-9_-]{2,3}){1,2})$/;
//正整数
var intReg = /^\+?[1-9][0-9]*$/;
//验证是否为数字
var inputNum = /^\d+$/;
//   中文，数字，字母，
var broadReg = /^[\u4e00-\u9fa5_a-zA-Z0-9]+$/;




